html, body {
    height: 100%;
    margin: 0;
    background: rgb(255, 255, 255);
}


ul.top {
    background: #ffffff;
    list-style: none;
    margin: 0; 
    padding-left: 0;
    box-shadow: 0px 0px 0px rgba(0,0,0,0.5);
}


li.top{
    display: inline-block;
}


.nav {
    color: black; 
    text-decoration: none; 
    display: block;
    margin-left: 50px;
    border-color: rgb(142, 142, 143);
    border-style: ridge;
    border-width: 1px;
    border-radius: 5px;
    margin: 5px;
    padding: 5px 10px 5px 10px;
    height: 100%;
    transition: 0.5s;
    box-shadow: 5px 2px 5px rgba(0,0,0,0.5);
}


.center{
    color: black; 
    text-decoration: none; 
    display: block;
    height: 100%; 
}


header{
    background: rgb(255, 255, 255);
    text-align: center;
    height: 5em;
    line-height: 5em;

}


.header{
    margin-block-start: 0;
}


nav{
    background: cornsilk;
    text-align:center;
    border-color: rgb(142, 142, 143);
    border-style: ridge;
    border-width: 1px;
}


aside {
    background: #ffffff;
    padding: 10px;
    width: 200px;
    float: left;
}


li.a{
    display: block;
}


li.a1{
    display: block;
    padding-bottom: 20px;
    border-bottom-color: rgb(142, 142, 143);
    border-bottom-style: ridge;
    border-bottom-width: 1px;
    margin-bottom: 20px;
    
}


li.a2{
    display: flex;
    border-color: rgb(142, 142, 143);
    border-style: ridge;
    border-width: 1px;
    padding: 2px 10px; 
    margin-bottom: -1px;
    text-align: right;


}

.floor_cell{
    width: 40px;
    text-align: right;
    padding-right: 10px;
    margin-right: 10px;
    border-right: 1px solid rgba(0, 0, 0);
}

.apartament_cell{
    text-align: left;
}


.row{
    display: flex;
}


.cell{
    height: 150px;
    width: 350px;
    background: rgb(255, 255, 255);
    padding-top:20px;
    margin-left: 15px;
    margin-top: 15px;
    text-align: center;
    font-size: 30px;
    transition: 0.5s; 
    border-color: rgb(142, 142, 143);
    border-style: ridge;
    border-width: 1px;
    border-radius: 10px;
    box-shadow: 5px 2px 5px rgba(0,0,0,0.5); /* Параметры тени */
}


.cars{
    height: 46px;
    width: 530px; 
    background: rgb(255, 255, 255);
    text-align: left;
    font-size: 30px; 
    margin-right: 30px;
    margin-left: 234px;
    margin-top: 15px;
    margin-bottom: 15px;
    border-radius: 10px;
    padding-left: 10px;
    padding-top: 5px;
    transition: 0.5s; 
    border-color: rgb(142, 142, 143);
    border-style: ridge;
    border-width: 1px;
    box-shadow: 5px 2px 5px rgba(0,0,0,0.5); /* Параметры тени */
}


.cars_read{
    height: 46px;
    width: 530px; 
    background: rgb(255, 255, 255);
    text-align: left;
    font-size: 30px; 
    margin-right: 30px;
    margin-left: 234px;
    margin-top: 15px;
    margin-bottom: 15px;
    border-radius: 10px;
    padding-left: 10px;
    padding-top: 5px;
    transition: 0.5s; 
    border-color: rgb(142, 142, 143);
    border-style: ridge;
    border-width: 1px;
    box-shadow: 5px 2px 5px rgba(0,0,0,0.5); /* Параметры тени */
}


.cell:hover{
    background: rgb(223, 222, 222); 
    box-shadow: 2px 1px 2px rgba(0,0,0,0.5); /* Параметры тени */
} 


.cars:hover{
    background:rgb(223, 222, 222); 
    box-shadow: 2px 1px 2px rgba(0,0,0,0.5); /* Параметры тени */
}


.cars_read:hover{
    background: rgb(223, 222, 222); 
    box-shadow: 2px 1px 2px rgba(0,0,0,0.5); /* Параметры тени */
}


.nav:hover{
    background:rgb(223, 222, 222); 
    box-shadow: 2px 1px 2px rgba(0,0,0,0.5); 
}